• 简体中文
  • 参数约定

    请求header信息

    KeyValue
    Accept"application/json"
    Content-Type"application/json"
    Authorization"Bearer " + AppId(Bearer后有空格)
    Signature使用商户私钥对body数据的摘要进行签名 详细方法参考 签名方法
    CountryCode"NG"(国家码) 其他国家码

    请求body信息

    请求body公共参数

    当前接口版本: V1.1 version值为 V1.1

    {
        "requestTime": "发送请求的时间(UTC时间),Timestamp时间戳",
        "version": "V1.1",
        "nonceStr": "32位随机字符串"
    }

    请求body完整示例

    预下单参数

    {
        "requestTime": 1662171389940,    
        "version": "V1.1",
        "nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "amount": 200,
        "currency": "NGN",
        "notifyUrl": "https://xx.cn/callback/payment",
        "orderId": "testc9ffae997fc1",
        "title": "pay",
        "token": "****",
        "transType": "24",
        "userId": "110",
        "country": "NG"
    }

    Curl 示例

    shell请求示例 包含header信息

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/createorder' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime":1662171389940,
        "version":"V1.1",
        "nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "amount":200,
        "notifyUrl":"https://xx.cn/callback/payment",
        "orderId":"testc9ffae997fc1",
        "title":"pay",
        "description": "pay some thing",
        "userId":"110",
        "currency": "NGN",
        "callBackUrl": "http://returnurl",
        "goodsDetails": "[{\"goodsId\": \"1\"}]",
        "productType":"pay_wallet"
    }'

    响应参数

    {
        "respCode": "00000000",
        "respMsg": "success",
        "data": {}
    }
    字段说明
    respCode返回码,"00000000"表示成功 (详细返回码见错误代码)
    respMsg返回码描述信息
    data返回业务数据

    金额单位

    支付金额默认为当地币种最小单位,也就是通常意义上的(分),交易金额请求参数不带小数点。

    商户订单号

    32位,除特殊符号外的数字或者英文字母任意组合。